"use strict";
this.name				= "SolarActivity";
this.author				= "Stranger";
this.copyright			= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description		= "Dynamic solar flares";
this.version			= "2.5";

this.shipWillLaunchFromStation = this.shipWillExitWitchspace = function()
    {
    if (system.isInterstellarSpace) return;
    var info = system.info;
    // regular case
    var flareBasic = 0.10 + Math.random() * 0.10; 
    var flareRate = 0.10 * 1000000 / system.sun.radius;     // red dwarves has more frequent flares than yellow stars
    var flareFlux = 0.30;
    // peculiar solar activity mentioned in system description
    if (system.info.description.indexOf("occasional solar activity") > -1)
        {
        flareRate = 0.30;
        flareFlux = 0.40;
        }
    if (system.info.description.indexOf("unpredictable solar activity") > -1)
        {
        flareRate = 0.35;
        flareFlux = 0.50;
        }
    if (system.info.description.indexOf("frequent solar activity") > -1)
        {
        flareRate = 0.40;
        flareFlux = 0.60;
        }
    if (system.info.description.indexOf("dreadful solar activity") > -1)
        {
        flareRate = 0.45;
        flareFlux = 0.70;
        }
    if (system.info.description.indexOf("deadly solar activity") > -1)
        {
        flareRate = 0.50;
        flareFlux = 0.80;
        }
    var flareTrigger = Math.random();
    // active sun
    if (flareTrigger < flareRate)
        {
        info.corona_flare = flareBasic + Math.random() * flareFlux;
        }
    // quiet sun
    else
        {
        info.corona_flare = flareBasic;
        }
    }
